#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	YAML
%define		pnam	Syck
Summary:	YAML::Syck - fast, lightweight YAML loader and dumper
Summary(pl.UTF-8):	YAML::Syck - szybki, lekki moduł do wczytywania i zrzucania YAML-a
Name:		perl-YAML-Syck
Version:	1.31
Release:	2
License:	MIT
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/YAML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2394bccf64c01cdc796cd5227bba237f
URL:		http://search.cpan.org/dist/YAML-Syck/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.59
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a Perl interface to the libsyck data
serialization library. It exports the Dump and Load functions for
converting Perl data structures to YAML strings, and the other way
around.

NOTE: If you are working with other language's YAML/Syck bindings
(such as Ruby), please set $YAML::Syck::ImplicitTyping to 1 before
calling the Load/Dump functions. The default setting is for preserving
backward-compatibility with YAML.pm.

%description -l pl.UTF-8
Ten moduł udostępnia perlowy interfejs do biblioteki serializacji
danych libsyck. Eksportuje funkcje Dump i Load do przekształcania
perlowych struktur danych na łańcuchy YAML i z powrotem.

Uwaga: jeśli pracujemy z dowiązaniami YAML/Sych dla innego języka
(np. Ruby), należy ustawić $YAML::Syck::ImplicitTyping na 1 przed
wywołaniem funkcji Load/Dump. Domyślne ustawienie jest dla zachowania
wstecznej zgodności z YAML.pm.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COMPATIBILITY Changes
%{perl_vendorarch}/YAML/Syck.pm
%dir %{perl_vendorarch}/JSON
%{perl_vendorarch}/JSON/Syck.pm
%dir %{perl_vendorarch}/YAML/Dumper
%{perl_vendorarch}/YAML/Dumper/Syck.pm
%dir %{perl_vendorarch}/YAML/Loader
%{perl_vendorarch}/YAML/Loader/Syck.pm
%dir %{perl_vendorarch}/auto/YAML/Syck
%attr(755,root,root) %{perl_vendorarch}/auto/YAML/Syck/Syck.so
%{_mandir}/man3/JSON::Syck.3pm*
%{_mandir}/man3/YAML::Syck.3pm*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-YAML-Syck.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 102317b
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c6cfdc
- up to 1.31

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> 8254658
- updated to 1.30

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 327f83d
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> dc57b9e
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> c720a96
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 03e32eb
- updated to 1.29
- common vendorarch dirs moved to perl-dirs

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> e02e97b
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 243a2f5
- x32 rebuild
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 8a8ffbd
- release 3 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 45a6cf7
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0633b87
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 9751b06
- updated to 1.27

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 445c132
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Tue Jun 05 2012 Caleb Maclennan <caleb@alerque.com> 713b878
- Up to 1.20

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> e7ea7df
- up to 1.19

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> 46cb963
- Up to 1.17

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> bc3f7fb
- rel 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a257c2a
- release 2

* Thu Oct 08 2009 amateja <amateja@pld-linux.org> 4f0321b
- updated to 1.07

